# This file created by conda-build 24.5.1
# meta.yaml template originally from:
# /opt/recipe, last modified Thu Aug 22 09:34:14 2024
# ------------------------------------------------

package:
  name: relion
  version: 4.0.2
source:
  sha256: 7ccc941a6a885bd850efa8867ea908254d8dc260cf72cc24c375bb9f1d56bf91
  url: https://github.com/3dem/relion/archive/refs/tags/4.0.2.tar.gz
build:
  number: '0'
  run_exports:
    - relion >=4.0.2,<5.0a0
  string: hb1c4ac9_0
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - _sysroot_linux-64_curr_repodata_hack 3 h69a702a_16
    - binutils_impl_linux-64 2.40 ha1999f0_7
    - binutils_linux-64 2.40 hb3c18ed_0
    - bzip2 1.0.8 h4bc722e_7
    - c-ares 1.32.3 h4bc722e_0
    - ca-certificates 2024.7.4 hbcca054_0
    - cmake 3.30.2 hf8c4bd3_0
    - fftw 3.3.10 nompi_hf1063bd_110
    - gcc_impl_linux-64 12.4.0 hb2e57f8_0
    - gcc_linux-64 12.4.0 h6b7512a_0
    - gxx_impl_linux-64 12.4.0 h613a52c_0
    - gxx_linux-64 12.4.0 h8489865_0
    - kernel-headers_linux-64 3.10.0 h4a8ded7_16
    - keyutils 1.6.1 h166bdaf_0
    - krb5 1.21.3 h659f571_0
    - ld_impl_linux-64 2.40 hf3520f5_7
    - lerc 4.0.0 h27087fc_0
    - libcurl 8.9.1 hdb1bdb2_0
    - libdeflate 1.21 h4bc722e_0
    - libedit 3.1.20191231 he28a2e2_2
    - libev 4.33 hd590300_2
    - libexpat 2.6.2 h59595ed_0
    - libgcc-devel_linux-64 12.4.0 ha4f9413_100
    - libgcc-ng 14.1.0 h77fa898_0
    - libgfortran-ng 14.1.0 h69a702a_0
    - libgfortran5 14.1.0 hc5f4f2c_0
    - libgomp 14.1.0 h77fa898_0
    - libjpeg-turbo 3.0.0 hd590300_1
    - libnghttp2 1.58.0 h47da74e_1
    - libsanitizer 12.4.0 h46f95d5_0
    - libssh2 1.11.0 h0841786_0
    - libstdcxx-devel_linux-64 12.4.0 ha4f9413_100
    - libstdcxx-ng 14.1.0 hc0a3c3a_0
    - libtiff 4.6.0 h46a8edc_4
    - libuv 1.48.0 hd590300_0
    - libwebp-base 1.4.0 hd590300_0
    - libzlib 1.3.1 h4ab18f5_1
    - make 4.3 hd18ef5c_1
    - mpi 1.0 openmpi
    - ncurses 6.5 h59595ed_0
    - openmpi 4.1.6 hc5af2df_101
    - openssl 3.3.1 h4bc722e_2
    - rhash 1.4.4 hd590300_0
    - sysroot_linux-64 2.17 h4a8ded7_16
    - tzdata 2024a h0c530f3_0
    - xz 5.2.6 h166bdaf_0
    - zlib 1.3.1 h4ab18f5_1
    - zstd 1.5.6 ha6fb4c9_0
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - fftw 3.3.10 nompi_hf1063bd_110
    - lerc 4.0.0 h27087fc_0
    - libdeflate 1.21 h4bc722e_0
    - libgcc-ng 14.1.0 h77fa898_0
    - libgfortran-ng 14.1.0 h69a702a_0
    - libgfortran5 14.1.0 hc5f4f2c_0
    - libgomp 14.1.0 h77fa898_0
    - libjpeg-turbo 3.0.0 hd590300_1
    - libpng 1.6.43 h2797004_0
    - libstdcxx-ng 14.1.0 hc0a3c3a_0
    - libtiff 4.6.0 h46a8edc_4
    - libwebp-base 1.4.0 hd590300_0
    - libzlib 1.3.1 h4ab18f5_1
    - mpi 1.0 openmpi
    - openmpi 4.1.6 hc5af2df_101
    - xz 5.2.6 h166bdaf_0
    - zlib 1.3.1 h4ab18f5_1
    - zstd 1.5.6 ha6fb4c9_0
  run:
    - fftw >=3.3.10,<4.0a0
    - libgcc-ng >=12
    - libpng >=1.6.43,<1.7.0a0
    - libstdcxx-ng >=12
    - libtiff >=4.6.0,<4.7.0a0
    - openmpi >=4.1.6,<5.0a0
test:
  commands:
    - relion_image_handler --help
about:
  home: https://github.com/3dem/relion
  license: GPLv2
  license_family: GPL
  license_file: LICENSE
  summary: Image-processing software for cryo-electron microscopy
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - multimeric
